<?php

namespace Fifa\ConnectId\Sdk\Tms\Validators;

use Fifa\ConnectId\Sdk\Model\DataStandard\PersonLocal;
use Fifa\ConnectId\Sdk\Registration\ValidationException;

class PersonLocalValidator
{
    /**
     * @param PersonLocal $personLocal
     *
     * @throws ValidationException
     */
    public static function validate(PersonLocal $personLocal)
    {
        if ($personLocal->PersonFIFAId === null) {
            throw new ValidationException('Field `PersonFIFAId` cannot be null');
        }
    }
}